## PhatPad

PhatPad —

## Synopsis

                PhatPad;
    GtkWidget*  phat_pad_new                    ();
    GtkAdjustment* phat_pad_get_ytilt           (PhatPad *pad);
    GtkAdjustment* phat_pad_get_xtilt           (PhatPad *pad);
    GtkAdjustment* phat_pad_get_pressure        (PhatPad *pad);
    GtkAdjustment* phat_pad_get_y               (PhatPad *pad);
    GtkAdjustment* phat_pad_get_x               (PhatPad *pad);
    void        phat_pad_set_x_range            (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);
    void        phat_pad_set_y_range            (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);
    void        phat_pad_set_pressure_range     (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);
    void        phat_pad_set_x_log              (PhatPad *pad,
                                                 gboolean is_log);
    void        phat_pad_set_y_log              (PhatPad *pad,
                                                 gboolean is_log);
    void        phat_pad_set_xtilt_log          (PhatPad *pad,
                                                 gboolean is_log);
    void        phat_pad_set_ytilt_log          (PhatPad *pad,
                                                 gboolean is_log);
    void        phat_pad_set_pressure_log       (PhatPad *pad,
                                                 gboolean is_log);
    gboolean    phat_pad_x_is_log               (PhatPad *pad);
    gboolean    phat_pad_y_is_log               (PhatPad *pad);
    gboolean    phat_pad_xtilt_is_log           (PhatPad *pad);
    gboolean    phat_pad_ytilt_is_log           (PhatPad *pad);
    gboolean    phat_pad_pressure_is_log        (PhatPad *pad);

## Description

## Details

### PhatPad

    typedef struct {
        GtkDrawingArea parent;
        GdkPixmap* pixmap;
        GtkAdjustment* pressure;
        gboolean p_is_log;
        GtkAdjustment* xtilt;
        gboolean xt_is_log;
        GtkAdjustment* ytilt;
        gboolean yt_is_log;
        GtkAdjustment* x;
        gboolean x_is_log;
        GtkAdjustment* y;
        gboolean y_is_log;
    } PhatPad;

### phat_pad_new ()

    GtkWidget*  phat_pad_new                    ();

Creates a new PhatPad.

Returns : | a newly created PhatPad

### phat_pad_get_ytilt ()

    GtkAdjustment* phat_pad_get_ytilt           (PhatPad *pad);

Retrieves the current ytilt value of the pad.

`pad` : | a PhatPad
Returns : | current ytilt value.

### phat_pad_get_xtilt ()

    GtkAdjustment* phat_pad_get_xtilt           (PhatPad *pad);

Retrieves the current xtilt value of the pad.

`pad` : | a PhatPad
Returns : | current xtilt value.

### phat_pad_get_pressure ()

    GtkAdjustment* phat_pad_get_pressure        (PhatPad *pad);

Retrieves the current pressure value of the pad.

`pad` : | a PhatPad
Returns : | current pressure value.

### phat_pad_get_y ()

    GtkAdjustment* phat_pad_get_y               (PhatPad *pad);

Retrieves the current y value of the pad.

`pad` : | a PhatPad
Returns : | current y value.

### phat_pad_get_x ()

    GtkAdjustment* phat_pad_get_x               (PhatPad *pad);

Retrieves the current x value of the pad.

`pad` : | a PhatPad
Returns : | current x value.

### phat_pad_set_x_range ()

    void        phat_pad_set_x_range            (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);

Sets the x range of the pad.

`pad` : | a PhatPad
`min` : |
`max` : |

### phat_pad_set_y_range ()

    void        phat_pad_set_y_range            (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);

`pad` : |
`min` : |
`max` : |

### phat_pad_set_pressure_range ()

    void        phat_pad_set_pressure_range     (PhatPad *pad,
                                                 gdouble min,
                                                 gdouble max);

`pad` : |
`min` : |
`max` : |

### phat_pad_set_x_log ()

    void        phat_pad_set_x_log              (PhatPad *pad,
                                                 gboolean is_log);

`pad` : |
`is_log` : |

### phat_pad_set_y_log ()

    void        phat_pad_set_y_log              (PhatPad *pad,
                                                 gboolean is_log);

`pad` : |
`is_log` : |

### phat_pad_set_xtilt_log ()

    void        phat_pad_set_xtilt_log          (PhatPad *pad,
                                                 gboolean is_log);

`pad` : |
`is_log` : |

### phat_pad_set_ytilt_log ()

    void        phat_pad_set_ytilt_log          (PhatPad *pad,
                                                 gboolean is_log);

`pad` : |
`is_log` : |

### phat_pad_set_pressure_log ()

    void        phat_pad_set_pressure_log       (PhatPad *pad,
                                                 gboolean is_log);

`pad` : |
`is_log` : |

### phat_pad_x_is_log ()

    gboolean    phat_pad_x_is_log               (PhatPad *pad);

`pad` : |
Returns : |

### phat_pad_y_is_log ()

    gboolean    phat_pad_y_is_log               (PhatPad *pad);

`pad` : |
Returns : |

### phat_pad_xtilt_is_log ()

    gboolean    phat_pad_xtilt_is_log           (PhatPad *pad);

`pad` : |
Returns : |

### phat_pad_ytilt_is_log ()

    gboolean    phat_pad_ytilt_is_log           (PhatPad *pad);

`pad` : |
Returns : |

### phat_pad_pressure_is_log ()

    gboolean    phat_pad_pressure_is_log        (PhatPad *pad);

`pad` : |
Returns : |